/*
Theme Name: Chesterfield Business Awards
Template: film-celebrity
Version: 1.0.3
*/

:root {
    --first-color: #f6b86d;
}
body {
	color: white;
}
h1, h2, h3, h4, h5, h6 {
	color: white;
}
.gb_nav_menu li a {
	color: #f6b86d;
}
body.home div.featured-img div.single-meta-box {
	display: none;
}
button, input[type="button"], input[type="reset"], input[type="submit"] {
	background: #f6b86d;
}
button, input[type="button"], input[type="reset"], input[type="submit"]:hover, input[type="submit"]:focus {
	background: #e0a258;
}
@media screen and (max-width: 800px) {
    .toggle-menu button {
        background: #f6b86d;
	}
}
.sidebar .widget, .sidebar .widget_search {
	background: black;
}
.animate-border {
	background: linear-gradient(to right, #fd8b00, #e7d08f);
}
#header {
	background: black;
}
@media(min-width: 900px) {
	#blog-content .featured-img, #service-page .featured-img, #skip-content .featured-img {
		height: auto;
		aspect-ratio: 630 / 140;
	}
	#blog-content .featured-img img, #service-page .featured-img img, #skip-content .featured-img img {
		height: auto;
		aspect-ratio: 630 / 140;
	}
}
#footer-copyright {
	background: #f6b86d;
	p.copyright {
		font-weight: bold;
		line-height: 1.25;
	}
	&, a {
		color: white;
	}
}
#footer-copyright ul.copyright-menu {
	margin-top: 12px;
	list-style-type: none;
	font-size: 0.9em;
	a {
		text-decoration: underline;
	    text-underline-offset: 1px;
		&:hover {
			text-decoration-style: dotted;
		}
	}
}
@media(min-width: 900px) {
	#footer-copyright ul.copyright-menu {
		margin-top: 3px;
		li {
			display: inline;
			&:not(:last-child)::after {
			    content: " |";
			    margin: 0 0.3em;
			}
		}
	}
}

.sidebar .widget-title, #sidebar .widget.widget_search label, #sidebar .sidebar .widget h2.wp-block-heading, .sidebar h2.wp-block-heading {
	color: white;
}

div.award-categories {
	display: grid;
	grid-template-columns: 1fr;
	gap: 20px;
}
div.award-category {
	background-position: center center;
	background-size: cover;
	aspect-ratio: 100 / 75;
	display: flex;
	align-items: end;
	justify-content: stretch;
	cursor: pointer;
	border-radius: 5px;
	border: 1px solid #444444;
	overflow: hidden;
	@media(hover: hover) {
		transition: scale linear 150ms;
		&:hover {
			scale: 102%;
		}
	}
	div.title {
		width: 100%;
		background: rgba(0,0,0,0.6);
		padding: 0.75em;
		font-size: 1em;
		color: #f6b86d;
	}
}
@media(min-width: 600px) {
	div.award-categories {
		grid-template-columns: 1fr 1fr;
	}
}

div.award-category-modal {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	padding: 20px;
	background: rgba(0,0,0,0.7);
	backdrop-filter: blur(5px);
	z-index: 10000;
	display: flex;
	justify-content: center;
	align-items: flex-start;
	overflow-y: auto;
	overscroll-behavior: none;
	&:not(.visible) {
		display: none;
	}
}
div.award-category-modal-content {
	background: black;
	padding: 20px;
	box-sizing: border-box;
	width: 600px;
	max-width: 100%;
	margin: auto 0;
	border: 1px solid #444444;
	border-radius: 6px;
	header {
		font-size: 24px;
		font-weight: bold;
		margin: 0 0 15px 0;
		display: flex;
		gap: 20px;
		span.text {
			flex: 1 1 0;
		}
	}
	button.close {
		flex: 0 0 40px;
		width: 40px;
		height: 40px;
		padding: 0;
		background: transparent;
		color: #e0a258;
		svg {
			width: 100%;
			height: 100%;
		}
	}
	ul, ol {
		margin: 12px 0;
		li {
			margin: 8px 0;
		}
	}
	div.award-category-modal-download {
		margin-top: 25px;
		a {
			display: inline-block;
			background: #e0a258;
			padding: 8px 16px;
			color: black;
			border-radius: 5px;
			text-decoration: none;
			@media(hover: hover) {
				transition: background linear 150ms;
				&:hover {
					background: #e0a258;
				}
			}
		}
	}
}

